<?xml version="1.0" encoding="utf-8"?>
<com.ldt.springback.view.SpringBackLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_other_search"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_margin="30dp"
            android:minWidth="1600dp"

            android:minHeight="750dp"
            android:visibility="gone" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="200dp"
                android:layout_marginEnd="200dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/generalParamBt"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_marginEnd="30dp"
                    android:layout_weight="1"
                    android:background="@drawable/home_rectangle_background"
                    android:padding="20dp"
                    android:text="@string/base_general_parameters"
                    android:textSize="30sp"></Button>

                <Button
                    android:id="@+id/advamceparameter"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_marginEnd="30dp"
                    android:layout_weight="1"
                    android:background="@drawable/home_rectangle_background"
                    android:padding="20dp"
                    android:text="@string/base_higher_order_parameters"
                    android:textSize="30sp"></Button>

                <Button
                    android:id="@+id/coreparameterBt"
                    android:layout_width="0dp"

                    android:layout_height="200dp"
                    android:layout_weight="1"
                    android:background="@drawable/home_rectangle_background"
                    android:padding="20dp"
                    android:text="@string/base_sugar_parameters"
                    android:textSize="30sp"></Button>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="200dp"
                android:layout_marginTop="@dimen/dp_20"
                android:layout_marginEnd="200dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/action_parameters"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_marginEnd="30dp"
                    android:layout_weight="1"
                    android:background="@drawable/home_rectangle_background"
                    android:padding="20dp"
                    android:text="@string/base_action_parameters"
                    android:textSize="30sp"></Button>

                <Button
                    android:id="@+id/rollingparameter"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_marginEnd="30dp"
                    android:layout_weight="1"
                    android:background="@drawable/home_rectangle_background"
                    android:padding="20dp"
                    android:text="@string/base_rolling_parameters"
                    android:textSize="30sp"></Button>

                <Button
                    android:visibility="invisible"
                    android:layout_width="0dp"

                    android:layout_height="200dp"
                    android:layout_weight="1"
                    android:background="@drawable/home_rectangle_background"
                    android:padding="20dp"
                    android:text="@string/base_sugar_parameters"
                    android:textSize="30sp"></Button>
            </LinearLayout>
        </LinearLayout>
    </RelativeLayout>
</com.ldt.springback.view.SpringBackLayout>